Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfPerson.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfPerson.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfPerson.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -43,7 +43,10 @@
             SuppliersName,      // 支払先名称
             PaymentContent,     // 支払内容
             PaymentType,        // 支払方法フラグ
-            EntryPrice,	        // 金額
+            EntryPrice,	        // 金額（税抜）
+            EntryPriceInTax,    // 金額（税込）
+            SlipNumber,         // 伝票番号
+
             ComplateFlg,        // 引込済みフラグ
             ApprovalFlg,        // 承認フラグ
 
@@ -83,7 +86,10 @@
             strcmd += " ,SuppliersName";                        // 支払先名称
             strcmd += " ,PaymentContent";                       // 支払内容
             strcmd += " ,PaymentType";                          // 支払方法フラグ
-            strcmd += " ,EntryPrice";	                        // 金額
+            strcmd += " ,EntryPrice";	                        // 金額（税抜）
+            strcmd += " ,EntryPriceInTax";                      // 金額（税込）
+            strcmd += " ,SlipNumber";                           // 伝票番号
+
             strcmd += " ,ComplateFlg";                          // 引込済みフラグ
             strcmd += " ,ApprovalFlg";                          // 承認フラグ
 
@@ -172,11 +178,28 @@
             try
             {
                 strcmd = "INSERT INTO CostDataOfPerson";
+                strcmd += "  (PersonCode";                          // 担当者コード
+                strcmd += " ,ActionDate";                           // 対象日付
+                strcmd += " ,DataType";                             // データ区分
+                strcmd += " ,DataAddCount";                         // データ追加番号
+                strcmd += " ,TargetMonth";                          // 対象年月
+                strcmd += " ,ConstructionCode";                     // 工事番号
+                strcmd += " ,SuppliersCode";                        // 支払先コード
+                strcmd += " ,SuppliersName";                        // 支払先名称
+                strcmd += " ,PaymentContent";                       // 支払内容
+                strcmd += " ,PaymentType";                          // 支払方法フラグ
+                strcmd += " ,EntryPrice";	                        // 金額（税抜）
+                strcmd += " ,EntryPriceInTax";                      // 金額（税込）
+                strcmd += " ,SlipNumber";                           // 伝票番号
+                strcmd += " ,ComplateFlg";                          // 引込済みフラグ
+                strcmd += " ,ApprovalFlg";                          // 承認フラグ
+                strcmd += " ,EntryDate";
+                strcmd += " ,UpdateDate)";
 
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.ActionDate.ToShortDateString());     // 対象日付
                 strcmd += string.Format(", {0}", work.DataType);                        // データ区分
                 strcmd += string.Format(", {0}", work.DataAddCount);                    // データ追加番号
@@ -186,12 +209,15 @@
                 strcmd += string.Format(",'{0}'", work.SuppliersName);                  // 支払先名称
                 strcmd += string.Format(",'{0}'", work.PaymentContent);                 // 支払内容
                 strcmd += string.Format(", {0}", work.PaymentType);                     // 支払方法フラグ
-                strcmd += string.Format(", {0}", work.EntryPrice);	                    // 金額
+                strcmd += string.Format(", {0}", work.EntryPrice);	                    // 金額（税抜）
+                strcmd += string.Format(", {0}", work.EntryPriceInTax);	                // 金額（税込）
+                strcmd += string.Format(",'{0}'", work.SlipNumber);                     // 伝票番号
+
                 strcmd += string.Format(", {0}", work.ComplateFlg);                     // 引込済みフラグ
                 strcmd += string.Format(", {0}", work.ApprovalFlg);                     // 承認フラグ
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -245,7 +271,7 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",ActionDate = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",ActionDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.ActionDate.ToShortDateString());                  // 対象日付
                 strcmd += string.Format(",DataType = {0}", data.DataType);                      // データ区分
                 strcmd += string.Format(",DataAddCount = {0}", data.DataAddCount);              // データ追加番号
@@ -255,11 +281,13 @@
                 strcmd += string.Format(",SuppliersName = '{0}'", data.SuppliersName);          // 支払先名称
                 strcmd += string.Format(",PaymentContent = '{0}'", data.PaymentContent);        // 支払内容
                 strcmd += string.Format(",PaymentType = {0}", data.PaymentType);                // 支払方法フラグ
-                strcmd += string.Format(",EntryPrice = {0}", data.EntryPrice);                  // 金額
+                strcmd += string.Format(",EntryPrice = {0}", data.EntryPrice);                  // 金額（税抜）
+                strcmd += string.Format(",EntryPriceInTax = {0}", data.EntryPriceInTax);        // 金額（税込）
+                strcmd += string.Format(",SlipNumber = '{0}'", data.SlipNumber);                // 伝票番号
                 strcmd += string.Format(",ComplateFlg = {0}", data.ComplateFlg);                // 引込済みフラグ
                 strcmd += string.Format(",ApprovalFlg = {0}", data.ApprovalFlg);                // 承認フラグ
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -322,7 +350,9 @@
                 wrk.SuppliersName = objwrk[(int)CostDataOfPersonColumn.SuppliersName].ToString();                       // 支払先名称
                 wrk.PaymentContent = objwrk[(int)CostDataOfPersonColumn.PaymentContent].ToString();                     // 支払内容
                 wrk.PaymentType = int.Parse(objwrk[(int)CostDataOfPersonColumn.PaymentType].ToString());                // 支払方法フラグ
-                wrk.EntryPrice = double.Parse(objwrk[(int)CostDataOfPersonColumn.EntryPrice].ToString());               // 金額
+                wrk.EntryPrice = double.Parse(objwrk[(int)CostDataOfPersonColumn.EntryPrice].ToString());               // 金額（税抜）
+                wrk.EntryPriceInTax = double.Parse(objwrk[(int)CostDataOfPersonColumn.EntryPriceInTax].ToString());     // 金額（税込）
+                wrk.SlipNumber = objwrk[(int)CostDataOfPersonColumn.SlipNumber].ToString();                             // 伝票番号
                 wrk.ComplateFlg = int.Parse(objwrk[(int)CostDataOfPersonColumn.ComplateFlg].ToString());                // 引込済みフラグ
                 wrk.ApprovalFlg = int.Parse(objwrk[(int)CostDataOfPersonColumn.ApprovalFlg].ToString());                // 承認フラグ
 
@@ -356,7 +386,7 @@
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
                 if (ActionDate != DateTime.MinValue)
-                    strWork += string.Format(" AND ActionDate = DATE_FORMAT('{0}','%Y/%m/%d')", ActionDate.ToShortDateString());
+                    strWork += string.Format(" AND ActionDate = STR_TO_DATE('{0}','%Y/%m/%d')", ActionDate.ToShortDateString());
                 if (DataType != 0)
                     strWork += string.Format(" AND DataType = {0}", DataType);
                 if (DataAddCount != 0)
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyData.cs	(revision 51)
@@ -6,9 +6,9 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using Oracle.ManagedDataAccess.Client;
 
-using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Oracle;
 using ProcessManagement.DB.Core;
 using ProcessManagement.DataModel;
 using ProcessManagement.Common;
@@ -18,7 +18,7 @@
     /// <summary>
     /// 日報データＤＢアクセス
     /// </summary>
-    public class IODailyData : MySqlProcess
+    public class IODailyData : OracleProcess
     {
         #region 定義部
         /// <summary>
@@ -86,12 +86,12 @@
             string strcmd = "SELECT";
 
             strcmd += "  PersonCode";                                       // 担当者コード
-            strcmd += " ,DATE_FORMAT(DailyDataDate, '%Y/%m/%d')";             // 日報作成日
+            strcmd += " ,TO_CHAR(DailyDataDate, 'YYYY/MM/DD')";             // 日報作成日
             strcmd += " ,LineCount";                                        // 行番号
             strcmd += " ,ConstructionCode";                                 // 工事番号
             strcmd += " ,WorkContentsText";                                 // 作業内容
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 登録年月日
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 更新年月日
+            strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";      // 登録年月日
+            strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";     // 更新年月日
             strcmd += " FROM DailyData";
 
             return strcmd;
@@ -179,14 +179,14 @@
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
                 strcmd += string.Format(", {0}", work.LineCoount);                      // 行番号
                 strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
                 strcmd += string.Format(",'{0}'", work.WorkContentsText);               // 作業内容
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -240,13 +240,13 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')"
                                         , data.DailyDataDate.ToShortDateString());              // 日報作成日
                 strcmd += string.Format(",LineCoount = {0}", data.LineCoount);                  // 行番号
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",WorkContentsText = '{0}'", data.WorkContentsText);    // 作業内容
                 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -308,9 +308,9 @@
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
             }
-            catch (MySqlException myex)
+            catch (OracleException oraex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), oraex.Message);
             }
             catch (Exception ex)
             {
@@ -335,7 +335,7 @@
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
                 if (DailyDataDate != DateTime.MinValue)
-                    strWork += string.Format(" AND DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')", DailyDataDate.ToShortDateString());
+                    strWork += string.Format(" AND DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", DailyDataDate.ToShortDateString());
                 if (LineCount != 0)
                     strWork += string.Format(" AND LineCount = {0}", LineCount);
             }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataConstruction.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataConstruction.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataConstruction.cs	(revision 51)
@@ -174,13 +174,13 @@
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
                 strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
                 strcmd += string.Format(",'{0}'", work.Weather);                        // 天気
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -239,7 +239,7 @@
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",Weather = '{0}'", data.Weather);                      // 天気
                 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -254,6 +254,54 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <param name="ConstructionCode"></param>
+        /// <param name="FeildNo"></param>
+        /// <param name="value"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, DateTime DailyDataDate, int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE DailyDataConstruction";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)DataColumn.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.DailyDataDate:
+                        strcmd += string.Format(" DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)DataColumn.ConstructionCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.Weather:
+                        strcmd += string.Format(" Weather = '{0}'", value.ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(PersonCode, DailyDataDate, ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region 削除処理
         /// <summary>
         /// 担当者毎経費データ削除
@@ -327,7 +375,7 @@
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
                 if (DailyDataDate != DateTime.MinValue)
-                    strWork += string.Format(" AND DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')", DailyDataDate.ToShortDateString());
+                    strWork += string.Format(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDate.ToShortDateString());
                 if (ConstructionCode != 0)
                     strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
             }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataDetail.cs	(revision 51)
@@ -205,11 +205,24 @@
             try
             {
                 strcmd = "INSERT INTO DailyDataDetail";
+                strcmd += "  (PersonCode";      // 担当者コード
+                strcmd += " ,DailyDataDate";    // 日報作成日
+                strcmd += " ,ConstructionCode"; // 工事番号
+                strcmd += " ,SeqNo";            // 明細行番号
+                strcmd += " ,JobCategoryCode";  // 職種キー
+                strcmd += " ,CompanyCode";      // 協力会社コード
+                strcmd += " ,TodayHeadCount";   // 当日人員数
+                strcmd += " ,TotalHeadCount";   // 累計人員数
+                strcmd += " ,TodayWork";        // 当日作業内容
+                strcmd += " ,NextdayWork";      // 翌日作業内容
+                strcmd += " ,NextdayHeadCount"; // 翌日人員数
+                strcmd += " ,EntryDate";        // 登録年月日
+                strcmd += " ,UpdateDate)";      // 更新年月日
 
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
                 strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
                 strcmd += string.Format(", {0}", work.SeqNo);                           // 明細行番号
@@ -221,8 +234,8 @@
                 strcmd += string.Format(",'{0}'", work.NextdayWork);                    // 翌日作業内容
                 strcmd += string.Format(", {0}", work.NextdayHeadCount);                // 翌日人員数
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -276,7 +289,7 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.DailyDataDate.ToShortDateString());              // 日報作成日
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
@@ -288,7 +301,7 @@
                 strcmd += string.Format(",NextdayWork = '{0}'", data.NextdayWork);              // 翌日作業内容
                 strcmd += string.Format(",NextdayHeadCount =  {0} ", data.NextdayHeadCount);    // 翌日人員数
                 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -330,6 +343,75 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <param name="ConstructionCode"></param>
+        /// <param name="FeildNo"></param>
+        /// <param name="value"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, DateTime DailyDataDate, int ConstructionCode, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE DailyDataDetail";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)DataColumn.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.DailyDataDate:
+                        strcmd += string.Format(" DailyDataDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)DataColumn.ConstructionCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.SeqNo:
+                        strcmd += string.Format(" SeqNo = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.JobCategoryCode:
+                        strcmd += string.Format(" JobCategoryCode = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.CompanyCode:
+                        strcmd += string.Format(" CompanyCode = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.TodayHeadCount:
+                        strcmd += string.Format(" TodayHeadCount = {0}", (double)value);
+                        break;
+                    case (int)DataColumn.TotalHeadCount:
+                        strcmd += string.Format(" TotalHeadCount = {0}", (double)value);
+                        break;
+                    case (int)DataColumn.TodayWork:
+                        strcmd += string.Format(" TodayWork = '{0}'", CommonMotions.cnvString(value));
+                        break;
+                    case (int)DataColumn.NextdayWork:
+                        strcmd += string.Format(" NextdayWork = '{0}'", CommonMotions.cnvString(value));
+                        break;
+                    case (int)DataColumn.NextdayHeadCount:
+                        strcmd += string.Format(" NextdayHeadCount = {0}", (double)value);
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(PersonCode, DailyDataDate, ConstructionCode, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region データセット処理
         /// <summary>
         /// OracleDataReaderより構造体へセットする
@@ -376,7 +458,7 @@
         /// <param name="DataType"></param>
         /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime DailyDataDate, int ConstructionCode, int SeqNo)
+        public string CreatePrimarykeyString(int PersonCode, DateTime DailyDataDate, int ConstructionCode = 0, int SeqNo = 0)
         {
             string strWork = "";
             try
@@ -383,7 +465,7 @@
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
                 if (DailyDataDate != DateTime.MinValue)
-                    strWork += string.Format(" AND DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')", DailyDataDate.ToShortDateString());
+                    strWork += string.Format(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDate.ToShortDateString());
                 if (ConstructionCode != 0)
                     strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
                 if (SeqNo != 0)
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODailyDataField.cs	(revision 51)
@@ -186,17 +186,17 @@
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.DailyDataDate.ToShortDateString());  // 日報作成日
                 strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
                 strcmd += string.Format(", {0}", work.SeqNo);                           // 明細行番号
 
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                             , work.PatrolTime.ToString());              // 巡回時間
                 strcmd += string.Format(",'{0}'", work.ContentsText);                   // 内容
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -250,16 +250,16 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.DailyDataDate.ToShortDateString());              // 日報作成日
                 strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
 
-                strcmd += string.Format(",PatrolTime = DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')"
+                strcmd += string.Format(",PatrolTime = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')"
                                         , data.PatrolTime.ToShortDateString());                 // 巡回時間
                 strcmd += string.Format(",ContentsText = '{0}'", data.ContentsText);            // 内容
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -350,7 +350,7 @@
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
                 if (DailyDataDetailDate != DateTime.MinValue)
-                    strWork += string.Format(" AND DailyDataDate = DATE_FORMAT('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
+                    strWork += string.Format(" AND DailyDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", DailyDataDetailDate.ToShortDateString());
                 if (ConstructionCode != 0)
                     strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
                 if (SeqNo != 0)
